StartPatch v4.2?

Discussion in 'Wii - Hacking' started by TiMeBoMb4u2, Oct 2, 2009.

  1. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,303
    199
    Oct 25, 2008
    United States
    Does StartPatch v4.1 work on System Menu v4.2?
    If not, is StartPatch v4.2 out?

    [​IMG]
     


  2. illinialex24

    illinialex24 GBAtemp Advanced Fan

    Member
    968
    0
    May 26, 2009
    United States
    The Midwest
    It shouldn't work on 4.2U, but it should be released soon.
     
  3. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,303
    199
    Oct 25, 2008
    United States
    Yep... It errors! =(

    [​IMG]
     
  4. zektor

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    Of course it does! It is v4.1, and it is *looking* for v4.1 system menu.....which is not there because you are on 4.2!

    I am eagerly awaiting an updated startpatch myself tho....
     
  5. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,303
    199
    Oct 25, 2008
    United States
    Yep... No MPT, until v4.2 is released.

    [​IMG]
     
  6. Vidboy10

    Vidboy10 Tsardom

    Member
    2,617
    7
    Dec 15, 2008
    Canada
    Vancouver, B.C
    ....
    IT OBVIOUSLY DOESN'T WORK!!!
    Theres a reason why 4.1 is in the title...
    Its because i has hacks that only can be used on 4.1...
     
  7. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,303
    199
    Oct 25, 2008
    United States
    If you want to flame...fine, but it was a valid question.

    [​IMG]
     
  8. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,303
    199
    Oct 25, 2008
    United States
    Any release yet?

    [​IMG]
     
  9. SifJar

    SifJar Not a pirate

    Member
    6,022
    891
    Apr 4, 2009
    It shouldnt be hard for the dev to update, at least for US, becasue there is already a preloader hacks.ini for 4.2U, so he can just get the patches from it. Maybe the dev is porting the patches for PAL?
     
  10. vettacossx

    vettacossx Wii Theme Team Founder

    Member
    1,329
    32
    Sep 19, 2008
    Right Behind You! Uh Oh!
    though i am on 3.2U bump for the 4.2 brewers out there! this app will be important thing to have in place with the look of things people will surely delete ios and act a fool rather than overwrite them w/ originals and this could be the only hope [​IMG]
     
  11. zektor

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States
    I emailed the author to ask him if v4.2 is being worked on, as well as offered to help beta test should he need it. No reply yet, but here's hoping for the best.
     
  12. 9th_Sage

    9th_Sage GBAtemp Maniac

    Member
    1,481
    1
    Apr 30, 2008
    United States
    I wish there was a patcher that worked like StartPatch but loaded hacks from the PreLoader style ini.
     
  13. mariomaniac33

    mariomaniac33 GBAtemp Regular

    Member
    111
    0
    May 10, 2008
    United States
    I just finished porting the codes to 4.2 for the scene. Now it's up to the maker of StartPatch to port them into his program.
     
  14. zektor

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    We do not have the source for Startpatch, do we?
     
  15. mariomaniac33

    mariomaniac33 GBAtemp Regular

    Member
    111
    0
    May 10, 2008
    United States
    @zektor
    I don't think so. I'm pretty sure it's closed source.
     
  16. SifJar

    SifJar Not a pirate

    Member
    6,022
    891
    Apr 4, 2009
    Sadly startpatch and starfall are both closed source, otherwise it would be (theoretically) pretty easy to substitute in the preloader hacks. Or make it compatible with a preloader hacks.ini.
     
  17. BBking83

    BBking83 GBAtemp Advanced Fan

    Member
    676
    4
    Oct 23, 2008
    Australia
    Don't most Backup Loaders have an anti update thing built in?? It's only really needed for mod chips, I reckon.

    USB loader is awesome. No updates from there.

    BTW, I reckon it's best to stay up to date with the N updates, anyway. Less hassle. The HBC will always be able to be installed.

    Anyway, news on a startpatch4.2 would be good. [​IMG]
     
  18. joda

    joda GBAtemp Fan

    Member
    436
    0
    Jul 12, 2007
    UmeƄ
    Well, not entirely. Startpatch 4.0.5(6) (the one for System Menu 4.0) is open source. Source-zip contained in the main archive. Just change the codes and the executable to patch and it should probably work. If lacking trucha-bugged IOS, an IOS_Reload to 249 would probably do the trick.
     
  19. SifJar

    SifJar Not a pirate

    Member
    6,022
    891
    Apr 4, 2009
    If the dev changed the patch format to the format used in Raven's menuloader, it would not need to be updated for new system menus, it would automatically work on any system menu.

    EDIT: He does use that format, there is no reason why the current Start Patch wont work. Just make sure you have trucha IOS36 (if you use ver 4.0) or IOS249 (if you use ver 4.1). I dont see why there had to be an update for 4.1 either. Could someone who has bootmii as boot2 try either StartPatch 4.0 or 4.1, and check they do work?
     
  20. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,303
    199
    Oct 25, 2008
    United States
    I'm on System Menu v4.2 (updated with Waninkoko's Firmware Updater), and StartPatch v4.1 does NOT work!
    I believe I verified this, in one of my previous posts.

    [​IMG]